MAIN := framework.pdf
SRC := config/$(basename $(MAIN)).tex
DEP := \
	config/headfoot.tex	\
	config/sourcelst.tex	\
	config/titlepage.tex	\
	content.tex		\
	title.tex		\
	Makefile

all: $(MAIN)

clean:
	rm -f \
	$(basename $(MAIN)).aux \
	$(basename $(MAIN)).dvi \
	$(basename $(MAIN)).log \
	$(basename $(MAIN)).out \
	$(basename $(MAIN)).toc \
	$(MAIN)

$(MAIN): $(DEP)
	@latex $(SRC)
	latex $(SRC)
	dvipdf $(basename $(MAIN)).dvi $(MAIN)

